Subject: Re: chroot and mount question
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Peter Buckley <[email-masked]>
Cc: Noel L Yap <[email-masked]>, [email-masked]
Date: Mon, 30 Jul 2001 12:50:27 -0400

Pardon.  I don't use the command.  Perhaps there's a bug.  I personally
can't reproduce it because changing my root means it can't find any of 
the Cygwin tools.  As a result, it fails.  To me, this seems quite 
reasonable and I haven't set up any parallel tool directories to explore
this further.  In any case, if you're sure that your chroot is succeeding
and that the resulting toolset that you use is still Cygwin's, you may
want to run strace to see if you can see where things go wrong.  

Larry

At 12:31 PM 7/30/2001, Peter Buckley wrote:
>This is from the Solaris 8 (pretty sure, they just got upgraded) man 
>page for chroot-
>
>"The chroot  utility causes  command to be executed  relative
>      to   newroot.  The meaning of any initial slashes (|) in the
>      path names is changed to  newroot for  command  and  any  of
>      its  child  processes."
>
>So / should be chroot-ed to /view/view0, and 
>ls /vobs 
>is the same as saying 
>ls /view/view0/vobs. 
>I can't see it any other way. I mean, if
>
>chroot /view/view0 
>ls /vobs 
>
>gives you 
>/vob1
>
>Then why bother doing a chroot at all? If this is the expected 
>behavior, why not just forget about doing a chroot- it is a no-op.
>
>I don't understand- Please explain further, 
>this looks like chroot is NOT working right.
>
>Confused,
>Peter
>
>"Larry Hall (RFK Partners, Inc)" wrote:
> > 
> > At 11:32 AM 7/30/2001, Noel L Yap wrote:
> > >If I have the following mount structure:
> > >d:\cygwin on / type user (binmode)
> > >v: on /view type user (binmode)
> > >d:\cygwin on /view/nyap-tig-du type user (binmode)
> > >v:\nyap-tig-du on /view/nyap-tig-du/vobs type user (binmode)
> > >
> > >and the following directory structure:
> > >/
> > >/cygwin
> > >/cygwin/bin
> > >/view
> > >/view/view0
> > >/view/view0/vobs
> > >/view/view0/vobs/vob0
> > >/vobs
> > >/vobs/vob1
> > >
> > >what should the behaviour of:
> > >      chroot /view/view0
> > >      ls /vobs
> > >
> > >be?
> > >
> > >I'm hoping the answer would be:
> > >      vob0
> > >
> > >but what I'm getting is:
> > >      vob1
> > >
> > >Is this correct behaviour (I haven't found any docs on this situation)?
> > 
> > What you document is entirely correct and quite logical AFAICS.  Now, if
> > you typed "ls vobs" rather than "ls /vobs" and got the same result, that
> > would be incorrect I believe.
> > 
> > Larry Hall                              [email-masked]
> > RFK Partners, Inc.                      http://www.rfk.com
> > 118 Washington Street                   (508) 893-9779 - RFK Office
> > Holliston, MA 01746                     (508) 893-9889 - FAX
> > 
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/